summaryrefslogtreecommitdiff
path: root/apmd/apmd-3.2.2/hwclock
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /apmd/apmd-3.2.2/hwclock
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'apmd/apmd-3.2.2/hwclock')
-rw-r--r--apmd/apmd-3.2.2/hwclock16
1 files changed, 16 insertions, 0 deletions
diff --git a/apmd/apmd-3.2.2/hwclock b/apmd/apmd-3.2.2/hwclock
index e69de29bb2..a1c1c2294c 100644
--- a/apmd/apmd-3.2.2/hwclock
+++ b/apmd/apmd-3.2.2/hwclock
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Preserve the system clock around suspend/resume.
+
+INIT="/etc/init.d/hwclock.sh"
+[ -x "${INIT}" ] || exit 0
+
+case "${1},${2}" in
+(suspend,*)
+ "${INIT}" stop
+ ;;
+(resume,suspend)
+ "${INIT}" start
+ ;;
+esac
+
+exit 0